> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# MX Platform API

> The MX Platform API is a powerful, fully-featured API designed to make aggregating and enhancing financial data easy and reliable. It can seamlessly connect your app or website to tens of thousands of financial institutions.

## What's Changed?

Several endpoints, headers, and fields changed in `v20250224`. For more on breaking changes, refer to our [versioning](/api-reference/platform-api/overview/versioning#v20250224) and [migration](/api-reference/platform-api/overview/migration) guides.

## Version Header

Versions are set in the `Accept-Version` header of API requests. Version numbers correspond with the date associated with that version. The example below uses the version `v20250224`.

```bash theme={null}
-H 'Accept: application/json'
-H 'Accept-Version: v20250224'
```

## Authentication

<Tabs>
  <Tab title="HTTP: Basic Auth">
    The MX Platform API requires basic access authentication using your `client_id` and `api_key`. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

    Here's an example using curl to access `v20250224`. Replace `https://int-api.mx.com/endpoint` with the actual API endpoint you wish to access and your Base64 encoded `client_id` and `api_key`.

    ```bash theme={null}
    curl -L -X POST `https://int-api.mx.com/endpoint' \
    -H 'Content-Type: application/json' \
    -H 'Accept: application/json' \
    -H 'Accept-Version: v20250224'
    -H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
    ```

    | Security Scheme Type:      | http  |
    | :------------------------- | :---- |
    | HTTP Authorization Scheme: | basic |
  </Tab>

  <Tab title="HTTP: Bearer Auth">
    | Security Scheme Type:      | http   |
    | :------------------------- | :----- |
    | HTTP Authorization Scheme: | bearer |
  </Tab>
</Tabs>

### Contact

MX Platform API:

URL: [https://www.mx.com/products/platform-api](../../../products/connectivity/account-aggregation/index)
